GDCM 3.2.1

Public Member Functions | List of all members
gdcm::network::ARTIMTimer Class Reference

ARTIMTimer. More...

`#include <gdcmARTIMTimer.h>`

## Public Member Functions
| ARTIMTimer ()
double | GetElapsedTime () const
bool | GetHasExpired () const
double | GetTimeout () const
void | SetTimeout (double inTimeout)
void | Start ()
void | Stop ()

## Detailed Description

ARTIMTimer.

This file contains the code for the ARTIM timer.

Basically, the ARTIM timer will just get the wall time when it's started, and then can be queried for the current time, and then can be stopped (ie, the start time reset).

Because we're trying to do this without threading, we should be able to 'start' the ARTIM timer by this mechanism, and then when waiting for a particular response, tight loop that with sleep calls and determinations of when the ARTIM timer has reached its peak. As such, this isn't a strict 'timer' in the traditional sense of the word, but more of a time keeper.

There can be only one ARTIM timer per connection.

## Constructor & Destructor Documentation

## ◆ ARTIMTimer()

gdcm::network::ARTIMTimer::ARTIMTimer | ( |  | ) |

## Member Function Documentation

## ◆ GetElapsedTime()

double gdcm::network::ARTIMTimer::GetElapsedTime | ( |  | ) | const

## ◆ GetHasExpired()

bool gdcm::network::ARTIMTimer::GetHasExpired | ( |  | ) | const

## ◆ GetTimeout()

double gdcm::network::ARTIMTimer::GetTimeout | ( |  | ) | const

## ◆ SetTimeout()

void gdcm::network::ARTIMTimer::SetTimeout | ( | double | inTimeout | ) |

## ◆ Start()

void gdcm::network::ARTIMTimer::Start | ( |  | ) |

## ◆ Stop()

void gdcm::network::ARTIMTimer::Stop | ( |  | ) |

The documentation for this class was generated from the following file:

- gdcmARTIMTimer.h